BizKitHub
DocsAPI ReferenceRss Feed/bff/rss-feed/add
postRss FeedAdmin BFF

/bff/rss-feed/add

Adds an RSS feed URL. If the URL already exists in the shared feed table, only a relation to the organisation is created. Otherwise a new feed record is inserted first.

RSS FeedpostBffRss-feedAdd

Parameters

JSON body

Request body

application/json
urlstringRequired

RSS feed URL to add.

Examplehttps://example.com/rss.xml

Response schema

1 status code documented

200Success
successbooleanRequired
feedIdstringRequired

External ID of the feed (existing or newly created).

createdbooleanRequired

True if a new feed record was created, false if it already existed.

Response example

application/json
{
  "success": false,
  "feedId": "example_feedId",
  "created": false
}

Request example

POST /bff/rss-feed/add

post
curl -X POST "https://api.bizkithub.com/bff/rss-feed/add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "url": "https://example.com/rss.xml"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key